KDE 4.6 PyKDE API Reference

- KDE's Python API

# Phonon Namespace Reference

`from PyKDE4.phonon.Phonon import *`

## Detailed Description

## Class Index

A | M | PulseSupport (Phonon)
AbstractAudioOutput (Phonon) | MediaController (Phonon) | S
AbstractMediaStream (Phonon) | MediaNode (Phonon) | SeekSlider (Phonon)
AbstractVideoOutput (Phonon) | MediaObject (Phonon) | StreamInterface (Phonon)
AudioDataOutput (Phonon) | MediaSource (Phonon) | V
AudioOutput (Phonon) | N | VideoPlayer (Phonon)
E | Notifier (Phonon.BackendCapabilities) | VideoWidget (Phonon)
Effect (Phonon) | O | VideoWidgetInterface (Phonon)
EffectParameter (Phonon) | ObjectDescriptionData (Phonon) | VolumeFaderEffect (Phonon)
EffectWidget (Phonon) | ObjectDescriptionModelData (Phonon) | VolumeSlider (Phonon)
G | P |
GlobalConfig (Phonon) | Path (Phonon) |

## Enumerations

ObjectDescriptionType | { AudioOutputDeviceType, EffectType, AudioChannelType, SubtitleType, AudioCaptureDeviceType, VideoCaptureDeviceType }

## Functions

Phonon.Path | createPath (Phonon.MediaNode source, Phonon.MediaNode sink)
Phonon.MediaObject | createPlayer (Phonon::Category category, Phonon.MediaSource source=Phonon.MediaSource())
long | qHash (Phonon.EffectParameter param)
| registerMetaTypes ()

## Enumeration Documentation

ObjectDescriptionType

Defines the type of information that is contained in a ObjectDescription object.

Enumerator:

  AudioOutputDeviceType |
  EffectType |
  AudioChannelType |
  SubtitleType |
  AudioCaptureDeviceType |
  VideoCaptureDeviceType |

## Function Documentation

Phonon.Path createPath | ( | Phonon.MediaNode | source,
|  | Phonon.MediaNode | sink
| ) |  |  |

Creates a new Path connecting two MediaNodes.

The implementation will automatically select the right format and media type. E.g. connecting a MediaObject and AudioOutput will create a Path object connecting the audio. This might be represented as PCM or perhaps even AC3 depending on the AudioOutput object.

Parameters:

  | source | The MediaNode to connect an output from

Parameters:

  | sink | The MediaNode to connect to.

Phonon.MediaObject createPlayer | ( | Phonon::Category | category,
|  | Phonon.MediaSource | source=Phonon.MediaSource()
| ) |  |  |

Convenience function to create a MediaObject and AudioOutput connected by a path.

long qHash | ( | Phonon.EffectParameter | param
| ) |  |  |

\class EffectParameter effectparameter.h phonon/EffectParameter This class describes one parameter of an effect.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  Effect

registerMetaTypes | ( |  | ) |

Registers Phonon's meta types

Internal:

Any Phonon application should not be concerned about this function.

Calls qRegisterMetaType() and qRegisterMetaTypeStreamOperators() for Phonon's meta-types that require streaming (DeviceAccess, DeviceAccessList).

This function should be called by any entity outside the process of the Phonon application, if it uses any of these meta-types. This is the case of PhononServer from kdebase/runtime/phonon.

See Qt Documentation for details.